#!/usr/bin/env python

import bootstrap
import sys
import openpluginlib
import openimagelib
import openmedialib
import jstack

openpluginlib.init( "" )

if len( sys.argv ) > 1:
	sys.argv.pop( 0 )
	try:
		rpn = jstack.stack( )
		rpn.push( "jstack.oml" )
		rpn.push_args( sys.argv )
		if not rpn.empty( ): rpn.push( "play" )
	except jstack.stack_exception, e:
		print e
else:
	print "Usage   : jbatch.py <input> [ [ <input> | filter:<filter> | name=value ]* ]*"
	print "Examples: jbatch.py <input>"
	print "          jbatch.py <input> filter:chroma"
	print "          jbatch.py colour: <input> filter:chroma filter:composite mode=fill"
	print "          etc"

openpluginlib.uninit( )
